Page MenuHomeFreeBSD

Add deprecation notice to snd_maestro(4)
ClosedPublic

Authored by pfg on Aug 2 2019, 7:26 PM.

Details

Reviewers
joel
bcr
pfg
Group Reviewers
manpages
Summary

As reported in:
https://wiki.freebsd.org/WhatsGoing/FreeBSD13

this old driver is buggy and no one is working on it so we should deprecate
it for the next release.

Test Plan

Perhaps Joel wants to do the honors of this and the snd_ds1 card ;).
ps. I can't find a man page for the aureal card.

Diff Detail

Repository
rS FreeBSD src repository
Lint
Lint OK
Unit
No Unit Test Coverage
Build Status
Buildable 25820
Build 24392: arc lint + arc unit

Event Timeline

pfg created this revision.Aug 2 2019, 7:26 PM
bcr accepted this revision.Aug 10 2019, 2:16 PM
bcr added a subscriber: bcr.

OK from manpages.

This revision is now accepted and ready to land.Aug 10 2019, 2:16 PM
0mp added a subscriber: 0mp.Aug 12 2019, 8:59 AM
0mp added inline comments.
share/man/man4/snd_maestro.4
76

Shouldn't it be .Pp instead?

pfg updated this revision to Diff 60706.Aug 13 2019, 1:21 AM

This passes "mandoc -Tlint".

This revision now requires review to proceed.Aug 13 2019, 1:21 AM
pfg accepted this revision.Sep 17 2019, 3:25 AM

Committed as r350970.

This revision is now accepted and ready to land.Sep 17 2019, 3:25 AM
pfg closed this revision.Sep 17 2019, 3:25 AM